Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 873427 - net-proxy/squid-5.7[samba]: failed to emerge (configure: error: NTLM auth helper none ... not found)
Summary: net-proxy/squid-5.7[samba]: failed to emerge (configure: error: NTLM auth hel...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2022-41317, CVE-2022-41318, SQUID-2022:1, SQUID-2022:2
  Show dependency tree
 
Reported: 2022-09-29 09:49 UTC by Leonid Kopylov
Modified: 2022-09-30 03:53 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,26.35 KB, text/plain)
2022-09-29 09:49 UTC, Leonid Kopylov
Details
config.log (config.log,366.86 KB, text/plain)
2022-09-29 13:10 UTC, Leonid Kopylov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Kopylov 2022-09-29 09:49:29 UTC
# emerge -pqv '=net-proxy/squid-5.7::gentoo'
[ebuild     U ] net-proxy/squid-5.7 [5.4.1-r2] USE="ecap esi gnutls htcp kerberos ldap logrotate mysql pam perl postgres samba sasl snmp sqlite ssl ssl-crtd systemd wccp wccpv2 -caps -nis -qos -radius (-selinux) -test -tproxy (-ipv6%*)"

# emerge --info '=net-proxy/squid-5.7::gentoo'
Portage 3.0.37 (python 3.10.7-final-0, default/linux/amd64/17.1/desktop/gnome/systemd, gcc-12.2.0, glibc-2.36-r3, 5.19.12-gentoo-amd64 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-5.19.12-gentoo-amd64-x86_64-12th_Gen_Intel-R-_Core-TM-_i7-12700-with-glibc2.36
KiB Mem:    32876548 total,  30195376 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of repository gentoo: Thu, 29 Sep 2022 07:00:01 +0000
Head commit of repository gentoo: bcca549e0c4cbd6ce6b613d89ff748387a5c3a05
sh bash 5.1_p16-r2
ld GNU ld (Gentoo 2.39 p4) 2.39.0
ccache version 4.6.3 [enabled]
app-misc/pax-utils:        1.3.5::gentoo
app-shells/bash:           5.1_p16-r2::gentoo
dev-java/java-config:      2.3.1::gentoo
dev-lang/perl:             5.36.0::gentoo
dev-lang/python:           3.10.7::gentoo, 3.11.0_rc2::gentoo
dev-lang/rust:             1.64.0-r1::gentoo
dev-util/ccache:           4.6.3::gentoo
dev-util/cmake:            3.24.2::gentoo
dev-util/meson:            0.63.2-r1::gentoo
sys-apps/baselayout:       2.9::gentoo
sys-apps/sandbox:          2.29::gentoo
sys-apps/systemd:          251.4::gentoo
sys-devel/autoconf:        2.13-r3::gentoo, 2.71-r4::gentoo
sys-devel/automake:        1.16.5::gentoo
sys-devel/binutils:        2.39-r2::gentoo
sys-devel/binutils-config: 5.4.1::gentoo
sys-devel/clang:           14.0.6-r1::gentoo, 15.0.1::gentoo
sys-devel/gcc:             12.2.0::gentoo
sys-devel/gcc-config:      2.6::gentoo
sys-devel/libtool:         2.4.7::gentoo
sys-devel/lld:             14.0.6::gentoo
sys-devel/llvm:            14.0.6-r2::gentoo, 15.0.1::gentoo
sys-devel/make:            4.3::gentoo
sys-kernel/linux-headers:  5.19::gentoo (virtual/os-headers)
sys-libs/glibc:            2.36-r3::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts:

HomeAssistantRepository
    location: /var/lib/layman/HomeAssistantRepository
    sync-type: laymansync
    sync-uri: https://git.edevau.net/onkelbeh/HomeAssistantRepository.git
    masters: gentoo
    priority: 50

brave-overlay
    location: /var/lib/layman/brave-overlay
    sync-type: laymansync
    sync-uri: https://gitlab.com/jason.oliveira/brave-overlay.git
    masters: gentoo
    priority: 50

guru
    location: /var/lib/layman/guru
    sync-type: laymansync
    sync-uri: https://anongit.gentoo.org/git/repo/proj/guru.git
    masters: gentoo
    priority: 50

haskell
    location: /var/lib/layman/haskell
    sync-type: laymansync
    sync-uri: https://github.com/gentoo-haskell/gentoo-haskell.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA android AnyDesk-TOS geekbench google-chrome microsoft-edge Microsoft-vscode OPERA-2018 RAR TeamViewer Vivaldi"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT=""/var/lib/mythtv" /etc /opt/zookeeper-bin/conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.4/ext-active/ /etc/php/apache2-php8.0/ext-active/ /etc/php/apache2-php8.1/ext-active/ /etc/php/cgi-php7.4/ext-active/ /etc/php/cgi-php8.0/ext-active/ /etc/php/cgi-php8.1/ext-active/ /etc/php/cli-php7.4/ext-active/ /etc/php/cli-php8.0/ext-active/ /etc/php/cli-php8.1/ext-active/ /etc/php/fpm-php7.4/ext-active/ /etc/php/fpm-php8.0/ext-active/ /etc/php/fpm-php8.1/ext-active/ /etc/php/phpdbg-php7.4/ext-active/ /etc/php/phpdbg-php8.0/ext-active/ /etc/php/phpdbg-php8.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/var/cache/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs binpkg-multi-instance buildpkg-live ccache config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict strict-keepdir unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
GENTOO_MIRRORS="https://mirror.isoc.org.il/pub/gentoo/"
LANG="en_US.utf8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="X a52 aac aalib accessibility acl acpi alsa amd64 ao appindicator archive aspell audit bash-completion berkdb bidi bluetooth bluray boost bpf branding brotli btrfs bzip2 cairo cdda cddb cdio cdr cgi cli colord contrib cron crypt cryptsetup cups curl dbi dbus designer device-mapper djvu doc dri dts dvb dvd dvdr eds emacs enchant encode evo examples executable exif experimental extra extras fam fastcgi fbcon fdk ffmpeg fftw flac fluidsynth fontconfig fontforge fortran ftp fuse gamepad games gcrypt gd gdbm gdk-pixbuf geoip geolocation gif git glade gme gmp gnome gnome-keyring gnome-online-accounts gnutls go gpg gphoto2 gpm graphite graphviz gsm gssapi gstreamer gtk gtk-doc gtk3 gui guile harfbuzz hdf5 heif help highlight hscolour html http http2 ibus iconv icu idn imagemagick imap imlib introspection iodbc ipv6 iso jack java javascript jbig jemalloc joystick jpeg jpeg2k json kerberos ladspa lame latex lcms ldap libass libcaca libevent libglvnd libnotify libsamplerate libsecret libtirpc libxml2 lmdb lua lv2 lvm lz4 lzma lzo mad magic maildir man mbedtls mbox memcached midi mng modplug mp3 mp4 mpeg mtp multilib multimedia musepack mysql nas nautilus ncurses netlink nettle network networkmanager nfs nls nptl nss ntlm odbc offensive ogg openal openexr opengl openmp openssl opus pam pango pcap pcre pdf perl phonon pkcs11 plugins png policykit portaudio postgres postscript ppds pulseaudio python qdbm qml qrcode qt5 raw rdma readline redis rss samba sasl screencast sctp sdl seccomp semantic-desktop skey smtp snappy sndfile sndio snmp sockets sound source sox speech speex spell split-usr sql sqlite ssh ssl startup-notification svg symlink syslog sysprof systemd taglib tbb tcl theora threads tiff tk tools tracker tremor truetype twolame udev udisks unicode unwind upnp upnp-av upower usb utils uuid v4l vala vcd vim-syntax vnc vorbis vpx wavpack wayland webengine webkit webp websockets widgets wmf wxwidgets x264 x265 xattr xcb xface xft xine xinerama xml xmp xpm xscreensaver xv xvid yaml zeroconf zeromq zip zlib zsh-completion zstd" ABI_X86="64 32" ADA_TARGET="gnat_2020" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt rdrand sha sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev libinput" KERNEL="linux" L10N="en en-US he ru" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-4 php8-0" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_10" PYTHON_TARGETS="python3_10" RUBY_TARGETS="ruby27 ruby30 ruby31" USERLAND="GNU" VIDEO_CARDS="fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LD, LEX, LFLAGS, LIBTOOL, LINGUAS, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS
Comment 1 Leonid Kopylov 2022-09-29 09:49:54 UTC
Created attachment 814621 [details]
build.log
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-09-29 12:47:35 UTC
config.log too please?
Comment 3 Leonid Kopylov 2022-09-29 13:10:23 UTC
Created attachment 814627 [details]
config.log
Comment 4 Larry the Git Cow gentoo-dev 2022-09-30 03:11:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b0b1b66a70addea502d60a9b6d6a86c075cb16f2

commit b0b1b66a70addea502d60a9b6d6a86c075cb16f2
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2022-09-30 03:11:05 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-09-30 03:11:18 +0000

    net-proxy/squid: fix disabling NTLM
    
    While at it, tidy up some whitespace.
    
    Closes: https://bugs.gentoo.org/873427
    Signed-off-by: Sam James <sam@gentoo.org>

 net-proxy/squid/squid-5.7.ebuild | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)